---
updatedAt: 2026-04-24T19:37:44.000Z
agentTools:
  siteIndex: https://developer.ebsco.com/llms.txt
  projectIndex: https://developer.ebsco.com/dynamed/llms.txt
---

# Retrieve Media Metadata

The endpoint returns a list of media resources of requested pubType

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "DynaMed & DynaMedex",
    "description": "MedsAPI DynaMed and DynaMedex provides endpoints to search and retrieve current and accurate evidence-based content. The documentation on this site covers all supported functionality of the MedsAPI suite of APIs. Any fields or parameters not represented by the documentation are unsupported and subject to change. Additional optional query parameters and fields in the response could be added in the future as a non breaking change. Any other change that could break the contract would be considered in a future version. Version 2 of our endpoints will return the most up to date content features.  If using V2 articles, you must use V2 versions of other endpoints.",
    "contact": {
      "name": "EBSCO Information Services",
      "url": "https://connect.ebsco.com/"
    },
    "version": "1.0.0"
  },
  "tags": [
    {
      "name": "Media",
      "description": "DynaMed/DynaMedex Media API"
    }
  ],
  "servers": [
    {
      "url": "https://apis.ebsco.com/medsapi-dynamed"
    },
    {
      "url": "https://apis.ebsco.com/medsapi-dynamedex"
    },
    {
      "url": "https://apis.ebsco.com/medsapi-auth",
      "description": "MedsAPI token endpoint"
    }
  ],
  "paths": {
    "/v2/content/media": {
      "get": {
        "tags": [
          "Media"
        ],
        "summary": "Retrieve Media Metadata",
        "description": "The endpoint returns a list of media resources of requested pubType",
        "operationId": "get-media-by-pubtype",
        "parameters": [
          {
            "name": "pubType",
            "in": "query",
            "description": "pubType of media resources to fetch",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "image",
                "video",
                "algorithm"
              ]
            }
          },
          {
            "name": "updatedSince",
            "in": "query",
            "description": "Return article metadata starting at this date. Must be formatted in ISO_8601 standards: YYYY-MM-DDTHH:mm:ssZ (time is optional)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "updatedBefore",
            "in": "query",
            "description": "Return article metdata ending at this date. Must be formatted in ISO_8601 standards: YYYY-MM-DDTHH:mm:ssZ (time is optional)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "Number of items returned per page",
            "schema": {
              "maximum": 100,
              "minimum": 1,
              "type": "integer",
              "default": 20
            }
          },
          {
            "name": "nextPageToken",
            "in": "query",
            "description": "Pagination token to get the next page",
            "schema": {
              "type": "string"
            }
          },
          {
            "schema": {
              "type": "boolean"
            },
            "in": "query",
            "name": "secure",
            "description": "Return image links as secure URLs when true"
          },
          {
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "small",
                  "medium",
                  "large",
                  "full"
                ]
              }
            },
            "in": "query",
            "name": "imageSize",
            "description": "Size(s) of images to return in image links"
          },
          {
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "small",
                  "medium",
                  "large",
                  "full"
                ]
              }
            },
            "in": "query",
            "name": "posterSize",
            "description": "Size(s) of still image from the video to return in video links"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "_metadata": {
                      "type": "object",
                      "properties": {
                        "nextPageToken": {
                          "type": "string",
                          "description": "Page token used to get the next page of items",
                          "example": "eyJwdWJUeXBlIjp7IlMiOiJpbWFnZSJ9LCJ2ZXJzaW9uIjp7IlMiOiIxI2VuIn0sInVwZGF0ZWRBdCI6eyJTIjoiMTcyODAzMTIyNjkyMyJ9LCJhbiI6eyJTIjoiaTE1NjgxMzU5NjU0MjcifX0="
                        },
                        "totalItems": {
                          "type": "integer",
                          "description": "Number of items returned",
                          "example": 20
                        },
                        "links": {
                          "type": "array",
                          "items": {
                            "required": [
                              "href",
                              "rel"
                            ],
                            "type": "object",
                            "properties": {
                              "rel": {
                                "type": "string",
                                "description": "Self link and links to all media",
                                "example": "self"
                              },
                              "href": {
                                "type": "string",
                                "example": "https://apis.ebsco.com/medsapi-dynamed/v1/content/media"
                              }
                            }
                          }
                        }
                      }
                    },
                    "items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "ID of a media resource",
                            "example": "i1568136147735"
                          },
                          "pubType": {
                            "type": "string",
                            "description": "PubType of a media resource (image|video|algorithm)",
                            "example": "image"
                          },
                          "title": {
                            "type": "string",
                            "description": "Title of the media",
                            "example": "Nonspecific interstitial pneumonia pathology picture"
                          },
                          "format": {
                            "type": "string",
                            "description": "Format of the file",
                            "example": "png"
                          },
                          "copyright": {
                            "type": "string",
                            "description": "Copyright of the media",
                            "example": "Xu D, Chen Z, Chen H, et al. Application of clinico-radiologic-pathologic diagnosis of diffuse parenchymal lung diseases in children in China. PLoS One 2015;10(1):e0116930. Modified with permission under Creative Commons Attribution 4.0 International license."
                          },
                          "mediaType": {
                            "type": "string",
                            "description": "\"image\"|\"video\". Algorithms have mediaType set to \"image\"",
                            "example": "image"
                          },
                          "mediaHost": {
                            "type": "string",
                            "description": "Media host",
                            "example": "Cloudinary"
                          },
                          "publicId": {
                            "description": "Media location",
                            "example": "EBSCOHealth/CCMS/Dynamed/videos/V1674666001630",
                            "type": "string"
                          },
                          "description": {
                            "type": "string",
                            "description": "MDescription of the media content",
                            "example": "A typical pathology picture of cellular non-specific interstitial pneumonia. The lungs are uniformly involved. Interstitial chronic inflammation consists of lymphocytes and plasma cells."
                          },
                          "updatedAt": {
                            "type": "integer",
                            "description": "Last update timestamp (milliseconds)",
                            "example": 1720814061967
                          },
                          "links": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "rel": {
                                  "type": "string",
                                  "description": "rel link",
                                  "example": "external"
                                },
                                "href": {
                                  "type": "string",
                                  "description": "href link",
                                  "example": "https://media.ebsco.healthcare/video/authenticated/s--y2MpK4a9--/i1674665799/EBSCOHealth/CCMS/Dynamed/images/I1598041305388"
                                }
                              }
                            }
                          },
                          "contentLocations": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "slug": {
                                  "type": "string",
                                  "description": "Relative location of the content associated with the media",
                                  "example": "/condition/interstitial-lung-disease-1"
                                },
                                "title": {
                                  "type": "string",
                                  "description": "Title of the content associated with the media",
                                  "example": "Interstitial Lung Disease"
                                },
                                "prettyPubtype": {
                                  "type": "string",
                                  "description": "Displayable name of the pubtype of the content associated with the media",
                                  "example": "Condition"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "BearerToken": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerToken": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer Token"
      }
    }
  }
}
```